DCMTK - Patch #582

Proposed patch to remove -Wunused-result warnings (Debian/GNU Linux)
2013-11-28 13:10 - J6rg Riesmeier

Status: Closed Start date: 2013-11-28
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.5

Module: various Compiler: gcce
Operating System: Linux

Description

Using fwrite() and fgets() without checking the return value produces warnings on Debian/GNU Linux systems (because
-Wunused-results is set by default).

Related issues:
Related to DCMTK - Bug #379: Problematic Warnings (gcc 4.4.5) Closed

History

#1 - 2016-11-29 11:10 - JO6rg Riesmeier
- % Done changed from 0 to 30
- Operating System set to Linux

- Compiler set to gcc

Partly fixed, see commit e598abe and 5b95b6e.

#2 - 2017-03-24 12:48 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#3 - 2018-02-05 19:37 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#4 - 2018-12-03 17:05 - J6rg Riesmeier
- Target version changed from 3.6.6 to 3.6.5
- % Done changed from 30 to 100

Patch has been reworked and changes have been committed.

#5 - 2018-12-03 17:06 - J6rg Riesmeier

- Status changed from New to Closed

Files

warn_unused_result.patch 13 KB 2013-11-28
